using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using LZBS.Model;
using LZBS.DAL;

namespace LZBS.BLL
{
    public class B_Reply
    {
        D_Reply dal = new D_Reply();
        /// <summary>
        /// 根据BookID获取回复的所有信息
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public DataTable GetReplyInfoByBookID(M_Reply model)
        {
            return dal.GetReplyInfoByBookID(model);
        }
        /// <summary>
        /// 根据ReplyID删除回复的信息
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int DeleteReplyReplyID(M_Reply model)
        {
            return dal.DeleteReplyReplyID(model);
        }
        /// <summary>
        /// 添加回复
        /// </summary>
        /// <param name="model"></param>
        public int AddReply(M_Reply model)
        {
            return dal.AddReply(model);
        }
    }
}
